changeset in /hg/icedtea: 2007-12-10 Lillian Angel <langel at red...

Lillian Angel langel at redhat.com
Wed Jan 16 07:09:35 PST 2008


changeset 0846ebc8684d in /hg/icedtea
details: http://icedtea.classpath.org/hg/icedtea?cmd=changeset;node=0846ebc8684d
description:
	2007-12-10  Lillian Angel  <langel at redhat.com>

	        * Makefile.am: Added --with-openjdk-src-zip support back in.
	        * Makefile.in: Regenerate.
	        * acinclude.m4: Added --with-openjdk-src-zip support back in.
	        * configure: Regenerate.
	        * configure.ac: Added --with-openjdk-src-zip support back in.

diffstat:

6 files changed, 136 insertions(+), 164 deletions(-)
ChangeLog    |    8 ++
Makefile.am  |   57 ++++++++++---------
Makefile.in  |   47 +++++++---------
acinclude.m4 |   17 +++++
configure    |  169 +++++++++++++++++++---------------------------------------
configure.ac |    2 

diffs (truncated from 522 to 500 lines):

diff -r b84314076385 -r 0846ebc8684d ChangeLog
--- a/ChangeLog	Mon Dec 10 11:51:28 2007 -0500
+++ b/ChangeLog	Mon Dec 10 12:40:46 2007 -0500
@@ -1,3 +1,11 @@ 2007-12-10  Lillian Angel  <langel at redha
+2007-12-10  Lillian Angel  <langel at redhat.com>
+
+	* Makefile.am: Added --with-openjdk-src-zip support back in.
+	* Makefile.in: Regenerate.
+	* acinclude.m4: Added --with-openjdk-src-zip support back in.
+	* configure: Regenerate.
+	* configure.ac: Added --with-openjdk-src-zip support back in.
+
 2007-12-10  Lillian Angel  <langel at redhat.com>
 
 	* Makefile.am: Fixed update target to create stamp.
diff -r b84314076385 -r 0846ebc8684d Makefile.am
--- a/Makefile.am	Mon Dec 10 11:51:28 2007 -0500
+++ b/Makefile.am	Mon Dec 10 12:40:46 2007 -0500
@@ -18,7 +18,7 @@ install:
 install:
 
 .PHONY: \
-	env env-ecj snapshot clean-clone clean-update clean-patch \
+	env env-ecj snapshot clean-clone clean-patch \
 	clean-clone-ecj clean-patch-ecj clean-bootstrap-directory \
 	clean-bootstrap-directory-symlink clean-bootstrap-directory-ecj \
 	clean-bootstrap-directory-symlink-ecj icedtea icedtea-debug \
@@ -121,29 +121,27 @@ snapshot: dist
 # Download OpenJDK sources.
 OPENJDK_URL = http://hg.openjdk.java.net/jdk7/jdk7
 
+if USE_ALT_OPENJDK_SRC_ZIP
+  OPENJDK_SRC_ZIP = $(ALT_OPENJDK_SRC_ZIP)
+else
+  OPENJDK_SRC_ZIP =
+endif
+
 stamps/clone.stamp:
-	if ! test -d openjdk ; \
-	then \
-	  hg fclone $(OPENJDK_URL) openjdk; \
-	fi
+	if ! test -d openjdk ; then \
+	  if [ $(OPENJDK_SRC_ZIP) ] ; then \
+	    $(UNZIP) -q $(OPENJDK_SRC_ZIP) ; \
+	  else \
+	    hg fclone -r jdk7-b24 $(OPENJDK_URL) openjdk; \
+	  fi ; \
+	fi
+	chmod -R ug+w openjdk
+	mkdir -p stamps
 	touch stamps/clone.stamp
 
 clean-clone:
 	rm -f stamps/clone.stamp
 	rm -rf openjdk
-
-stamps/update.stamp:
-	if test -d openjdk ; \
-        then \
-	  cd openjdk; \
-          hg fpull; \
-          hg fupdate; \
-	  cd ..; \
-	fi
-	touch stamps/update.stamp
-
-clean-update:
-	rm -f stamps/update.stamp
 
 # Link ports sources into tree
 stamps/ports.stamp: stamps/clone.stamp
@@ -216,7 +214,7 @@ ICEDTEA_PATCHES += \
 	patches/icedtea-cacao-jvm-cfg.patch
 endif
 
-stamps/patch.stamp: stamps/clone.stamp stamps/update.stamp
+stamps/patch.stamp: stamps/clone.stamp
 	for p in $(ICEDTEA_PATCHES) ; \
 	do \
 	  echo Checking $$p ; \
@@ -246,10 +244,17 @@ clean-patch:
 
 # Extract OpenJDK sources for ecj.
 stamps/clone-ecj.stamp: stamps/clone.stamp
-	if ! test -d openjdk-ecj ; \
-	then \
-	  hg fclone $(OPENJDK_URL) openjdk-ecj ; \
-	fi
+	if ! test -d openjdk ; then \
+  	  if [ $(OPENJDK_SRC_ZIP) ] ; \
+          then \
+            $(UNZIP) -q $(OPENJDK_SRC_ZIP) -d tmp-ecj; \
+	    mv tmp-ecj/openjdk openjdk-ecj ; \
+	    rmdir tmp-ecj; \
+          else \
+            hg fclone -r jdk7-b24 $(OPENJDK_URL) openjdk-ecj; \
+          fi ; \
+	fi
+	chmod -R ug+w openjdk-ecj
 	mkdir -p stamps
 	touch stamps/clone-ecj.stamp
 
@@ -420,7 +425,7 @@ endif
 
 # If you change anything here in the icedtea target, please make sure
 # you change it in the icedtea-debug target as well.
-icedtea: stamps/update.stamp stamps/tools.stamp stamps/plugs.stamp \
+icedtea: stamps/tools.stamp stamps/plugs.stamp \
 	stamps/ports.stamp stamps/patch.stamp gcjwebplugin.so
 	$(MAKE) \
 	  $(ICEDTEA_ENV) \
@@ -431,7 +436,7 @@ icedtea: stamps/update.stamp stamps/tool
 	  $(BUILD_OUTPUT_DIR)/j2re-image/lib/$(INSTALL_ARCH_DIR)
 	@echo "IcedTea is served:" $(BUILD_OUTPUT_DIR)
 
-icedtea-debug: stamps/update.stamp stamps/bootstrap-directory-symlink.stamp \
+icedtea-debug: stamps/bootstrap-directory-symlink.stamp \
 	stamps/tools.stamp stamps/plugs.stamp \
 	stamps/ports.stamp stamps/patch.stamp gcjwebplugin.so
 	$(MAKE) \
@@ -696,5 +701,3 @@ tools-copy-source-files: stamps/tools-co
 tools-copy-source-files: stamps/tools-copy-source-files.stamp
 
 tools: stamps/tools.stamp
-
-update: stamps/update.stamp
diff -r b84314076385 -r 0846ebc8684d Makefile.in
--- a/Makefile.in	Mon Dec 10 11:51:28 2007 -0500
+++ b/Makefile.in	Mon Dec 10 12:40:46 2007 -0500
@@ -73,6 +73,7 @@ distuninstallcheck_listfiles = find . -t
 distuninstallcheck_listfiles = find . -type f -print
 distcleancheck_listfiles = find . -type f -print
 ACLOCAL = @ACLOCAL@
+ALT_OPENJDK_SRC_ZIP = @ALT_OPENJDK_SRC_ZIP@
 AMTAR = @AMTAR@
 AUTOCONF = @AUTOCONF@
 AUTOHEADER = @AUTOHEADER@
@@ -124,7 +125,6 @@ LTLIBOBJS = @LTLIBOBJS@
 LTLIBOBJS = @LTLIBOBJS@
 MAKEINFO = @MAKEINFO@
 MD5SUM = @MD5SUM@
-MERCURIAL = @MERCURIAL@
 MKDIR_P = @MKDIR_P@
 MOZILLA_CFLAGS = @MOZILLA_CFLAGS@
 MOZILLA_LIBS = @MOZILLA_LIBS@
@@ -243,6 +243,8 @@ ICEDTEA_ENV = "ANT_HOME=$(SYSTEM_ANT_DIR
 
 # Download OpenJDK sources.
 OPENJDK_URL = http://hg.openjdk.java.net/jdk7/jdk7
+ at USE_ALT_OPENJDK_SRC_ZIP_FALSE@OPENJDK_SRC_ZIP = 
+ at USE_ALT_OPENJDK_SRC_ZIP_TRUE@OPENJDK_SRC_ZIP = $(ALT_OPENJDK_SRC_ZIP)
 @FAST_BUILD_FALSE at FAST_BUILD_PATCH = 
 
 # Patch OpenJDK sources for plug replacements.
@@ -591,7 +593,7 @@ install:
 install:
 
 .PHONY: \
-	env env-ecj snapshot clean-clone clean-update clean-patch \
+	env env-ecj snapshot clean-clone clean-patch \
 	clean-clone-ecj clean-patch-ecj clean-bootstrap-directory \
 	clean-bootstrap-directory-symlink clean-bootstrap-directory-ecj \
 	clean-bootstrap-directory-symlink-ecj icedtea icedtea-debug \
@@ -612,28 +614,20 @@ snapshot: dist
 	mv $(DIST_ARCHIVES) $(distdir)-`hg tip --template '{node}'`.tar.gz
 
 stamps/clone.stamp:
-	if ! test -d openjdk ; \
-	then \
-	  hg fclone $(OPENJDK_URL) openjdk; \
+	if ! test -d openjdk ; then \
+	  if [ $(OPENJDK_SRC_ZIP) ] ; then \
+	    $(UNZIP) -q $(OPENJDK_SRC_ZIP) ; \
+	  else \
+	    hg fclone -r jdk7-b24 $(OPENJDK_URL) openjdk; \
+	  fi ; \
 	fi
+	chmod -R ug+w openjdk
+	mkdir -p stamps
 	touch stamps/clone.stamp
 
 clean-clone:
 	rm -f stamps/clone.stamp
 	rm -rf openjdk
-
-stamps/update.stamp:
-	if test -d openjdk ; \
-        then \
-	  cd openjdk; \
-          hg fpull; \
-          hg fupdate; \
-	  cd ..; \
-	fi
-	touch stamps/update.stamp
-
-clean-update:
-	rm -f stamps/update.stamp
 
 # Link ports sources into tree
 stamps/ports.stamp: stamps/clone.stamp
@@ -647,7 +641,7 @@ stamps/ports.stamp: stamps/clone.stamp
 	mkdir -p stamps
 	touch stamps/ports.stamp
 
-stamps/patch.stamp: stamps/clone.stamp stamps/update.stamp
+stamps/patch.stamp: stamps/clone.stamp
 	for p in $(ICEDTEA_PATCHES) ; \
 	do \
 	  echo Checking $$p ; \
@@ -677,10 +671,17 @@ clean-patch:
 
 # Extract OpenJDK sources for ecj.
 stamps/clone-ecj.stamp: stamps/clone.stamp
-	if ! test -d openjdk-ecj ; \
-	then \
-	  hg fclone $(OPENJDK_URL) openjdk-ecj ; \
+	if ! test -d openjdk ; then \
+  	  if [ $(OPENJDK_SRC_ZIP) ] ; \
+          then \
+            $(UNZIP) -q $(OPENJDK_SRC_ZIP) -d tmp-ecj; \
+	    mv tmp-ecj/openjdk openjdk-ecj ; \
+	    rmdir tmp-ecj; \
+          else \
+            hg fclone -r jdk7-b24 $(OPENJDK_URL) openjdk-ecj; \
+          fi ; \
 	fi
+	chmod -R ug+w openjdk-ecj
 	mkdir -p stamps
 	touch stamps/clone-ecj.stamp
 
@@ -1078,8 +1079,6 @@ tools-copy-source-files: stamps/tools-co
 tools-copy-source-files: stamps/tools-copy-source-files.stamp
 
 tools: stamps/tools.stamp
-
-update: stamps/update.stamp
 # Tell versions [3.59,3.63) of GNU make to not export all variables.
 # Otherwise a system limit (for SysV at least) may be exceeded.
 .NOEXPORT:
diff -r b84314076385 -r 0846ebc8684d acinclude.m4
--- a/acinclude.m4	Mon Dec 10 11:51:28 2007 -0500
+++ b/acinclude.m4	Mon Dec 10 12:40:46 2007 -0500
@@ -345,6 +345,23 @@ AC_DEFUN([FIND_ENDORSED_JARS],
   AC_SUBST(ENDORSED_JARS)
 ])
 
+AC_DEFUN([WITH_OPENJDK_SRC_ZIP],
+[
+  AC_MSG_CHECKING(openjdk source zip)
+  AC_ARG_WITH([openjdk-src-zip],
+              [AS_HELP_STRING(--with-openjdk-src-zip,specify the location of the openjdk source zip)],
+  [
+    ALT_OPENJDK_SRC_ZIP=${withval}
+    AM_CONDITIONAL(USE_ALT_OPENJDK_SRC_ZIP, test x = x)
+  ],
+  [ 
+    ALT_OPENJDK_SRC_ZIP="not specified"
+    AM_CONDITIONAL(USE_ALT_OPENJDK_SRC_ZIP, test x != x)
+  ])
+  AC_MSG_RESULT(${ALT_OPENJDK_SRC_ZIP})
+  AC_SUBST(ALT_OPENJDK_SRC_ZIP)
+])
+
 AC_DEFUN([FIND_XALAN2_JAR],
 [
   AC_ARG_WITH([xalan2-jar],
diff -r b84314076385 -r 0846ebc8684d configure
--- a/configure	Mon Dec 10 11:51:28 2007 -0500
+++ b/configure	Mon Dec 10 12:40:46 2007 -0500
@@ -710,7 +710,6 @@ UNZIP
 UNZIP
 WGET
 CHMOD
-MERCURIAL
 GAWK
 SYSTEM_GCJ_DIR
 SYSTEM_ICEDTEA_DIR
@@ -731,6 +730,9 @@ XALAN2_SERIALIZER_JAR
 XALAN2_SERIALIZER_JAR
 XERCES2_JAR
 FREETYPE2_INC_DIR
+USE_ALT_OPENJDK_SRC_ZIP_TRUE
+USE_ALT_OPENJDK_SRC_ZIP_FALSE
+ALT_OPENJDK_SRC_ZIP
 OPENJDK_SRC_DIR
 GNU_CLASSLIB_FOUND_TRUE
 GNU_CLASSLIB_FOUND_FALSE
@@ -1376,6 +1378,7 @@ Optional Packages:
   --with-xalan2-serializer-jar
                           specify location of the xalan2-serializer jar
   --with-xerces2-jar      specify location of the xerces2 jar
+  --with-openjdk-src-zip  specify the location of the openjdk source zip
   --with-openjdk-src-dir  specify the location of the openjdk sources
   --with-cacao            use CACAO as VM
 
@@ -4700,115 +4703,6 @@ echo "$as_me: error: chmod program not f
 
 
 if test -n "$ac_tool_prefix"; then
-  # Extract the first word of "${ac_tool_prefix}hg", so it can be a program name with args.
-set dummy ${ac_tool_prefix}hg; ac_word=$2
-{ echo "$as_me:$LINENO: checking for $ac_word" >&5
-echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6; }
-if test "${ac_cv_path_MERCURIAL+set}" = set; then
-  echo $ECHO_N "(cached) $ECHO_C" >&6
-else
-  case $MERCURIAL in
-  [\\/]* | ?:[\\/]*)
-  ac_cv_path_MERCURIAL="$MERCURIAL" # Let the user override the test with a path.
-  ;;
-  *)
-  as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
-for as_dir in $PATH
-do
-  IFS=$as_save_IFS
-  test -z "$as_dir" && as_dir=.
-  for ac_exec_ext in '' $ac_executable_extensions; do
-  if { test -f "$as_dir/$ac_word$ac_exec_ext" && $as_test_x "$as_dir/$ac_word$ac_exec_ext"; }; then
-    ac_cv_path_MERCURIAL="$as_dir/$ac_word$ac_exec_ext"
-    echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
-    break 2
-  fi
-done
-done
-IFS=$as_save_IFS
-
-  ;;
-esac
-fi
-MERCURIAL=$ac_cv_path_MERCURIAL
-if test -n "$MERCURIAL"; then
-  { echo "$as_me:$LINENO: result: $MERCURIAL" >&5
-echo "${ECHO_T}$MERCURIAL" >&6; }
-else
-  { echo "$as_me:$LINENO: result: no" >&5
-echo "${ECHO_T}no" >&6; }
-fi
-
-
-fi
-if test -z "$ac_cv_path_MERCURIAL"; then
-  ac_pt_MERCURIAL=$MERCURIAL
-  # Extract the first word of "hg", so it can be a program name with args.
-set dummy hg; ac_word=$2
-{ echo "$as_me:$LINENO: checking for $ac_word" >&5
-echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6; }
-if test "${ac_cv_path_ac_pt_MERCURIAL+set}" = set; then
-  echo $ECHO_N "(cached) $ECHO_C" >&6
-else
-  case $ac_pt_MERCURIAL in
-  [\\/]* | ?:[\\/]*)
-  ac_cv_path_ac_pt_MERCURIAL="$ac_pt_MERCURIAL" # Let the user override the test with a path.
-  ;;
-  *)
-  as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
-for as_dir in $PATH
-do
-  IFS=$as_save_IFS
-  test -z "$as_dir" && as_dir=.
-  for ac_exec_ext in '' $ac_executable_extensions; do
-  if { test -f "$as_dir/$ac_word$ac_exec_ext" && $as_test_x "$as_dir/$ac_word$ac_exec_ext"; }; then
-    ac_cv_path_ac_pt_MERCURIAL="$as_dir/$ac_word$ac_exec_ext"
-    echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
-    break 2
-  fi
-done
-done
-IFS=$as_save_IFS
-
-  ;;
-esac
-fi
-ac_pt_MERCURIAL=$ac_cv_path_ac_pt_MERCURIAL
-if test -n "$ac_pt_MERCURIAL"; then
-  { echo "$as_me:$LINENO: result: $ac_pt_MERCURIAL" >&5
-echo "${ECHO_T}$ac_pt_MERCURIAL" >&6; }
-else
-  { echo "$as_me:$LINENO: result: no" >&5
-echo "${ECHO_T}no" >&6; }
-fi
-
-  if test "x$ac_pt_MERCURIAL" = x; then
-    MERCURIAL=""
-  else
-    case $cross_compiling:$ac_tool_warned in
-yes:)
-{ echo "$as_me:$LINENO: WARNING: In the future, Autoconf will not detect cross-tools
-whose name does not start with the host triplet.  If you think this
-configuration is useful to you, please write to autoconf at gnu.org." >&5
-echo "$as_me: WARNING: In the future, Autoconf will not detect cross-tools
-whose name does not start with the host triplet.  If you think this
-configuration is useful to you, please write to autoconf at gnu.org." >&2;}
-ac_tool_warned=yes ;;
-esac
-    MERCURIAL=$ac_pt_MERCURIAL
-  fi
-else
-  MERCURIAL="$ac_cv_path_MERCURIAL"
-fi
-
- if test x"$MERCURIAL" = x ; then
-   { { echo "$as_me:$LINENO: error: hg program not found in PATH" >&5
-echo "$as_me: error: hg program not found in PATH" >&2;}
-   { (exit 1); exit 1; }; }
- fi
-
-
-if test -n "$ac_tool_prefix"; then
   # Extract the first word of "${ac_tool_prefix}gawk", so it can be a program name with args.
 set dummy ${ac_tool_prefix}gawk; ac_word=$2
 { echo "$as_me:$LINENO: checking for $ac_word" >&5
@@ -6926,6 +6820,41 @@ echo "$as_me: error: \"Freetype headers 
 echo "$as_me: error: \"Freetype headers not found - try installing freetype-devel\"" >&2;}
    { (exit 1); exit 1; }; }
     fi
+
+
+
+  { echo "$as_me:$LINENO: checking openjdk source zip" >&5
+echo $ECHO_N "checking openjdk source zip... $ECHO_C" >&6; }
+
+# Check whether --with-openjdk-src-zip was given.
+if test "${with_openjdk_src_zip+set}" = set; then
+  withval=$with_openjdk_src_zip;
+    ALT_OPENJDK_SRC_ZIP=${withval}
+     if test x = x; then
+  USE_ALT_OPENJDK_SRC_ZIP_TRUE=
+  USE_ALT_OPENJDK_SRC_ZIP_FALSE='#'
+else
+  USE_ALT_OPENJDK_SRC_ZIP_TRUE='#'
+  USE_ALT_OPENJDK_SRC_ZIP_FALSE=
+fi
+
+
+else
+
+    ALT_OPENJDK_SRC_ZIP="not specified"
+     if test x != x; then
+  USE_ALT_OPENJDK_SRC_ZIP_TRUE=
+  USE_ALT_OPENJDK_SRC_ZIP_FALSE='#'
+else
+  USE_ALT_OPENJDK_SRC_ZIP_TRUE='#'
+  USE_ALT_OPENJDK_SRC_ZIP_FALSE=
+fi
+
+
+fi
+
+  { echo "$as_me:$LINENO: result: ${ALT_OPENJDK_SRC_ZIP}" >&5
+echo "${ECHO_T}${ALT_OPENJDK_SRC_ZIP}" >&6; }
 
 
 
@@ -10101,6 +10030,20 @@ if test -z "${WITH_ICEDTEA_TRUE}" && tes
   { { echo "$as_me:$LINENO: error: conditional \"WITH_ICEDTEA\" was never defined.
 Usually this means the macro was only invoked conditionally." >&5
 echo "$as_me: error: conditional \"WITH_ICEDTEA\" was never defined.
+Usually this means the macro was only invoked conditionally." >&2;}
+   { (exit 1); exit 1; }; }
+fi
+if test -z "${USE_ALT_OPENJDK_SRC_ZIP_TRUE}" && test -z "${USE_ALT_OPENJDK_SRC_ZIP_FALSE}"; then
+  { { echo "$as_me:$LINENO: error: conditional \"USE_ALT_OPENJDK_SRC_ZIP\" was never defined.
+Usually this means the macro was only invoked conditionally." >&5
+echo "$as_me: error: conditional \"USE_ALT_OPENJDK_SRC_ZIP\" was never defined.
+Usually this means the macro was only invoked conditionally." >&2;}
+   { (exit 1); exit 1; }; }
+fi
+if test -z "${USE_ALT_OPENJDK_SRC_ZIP_TRUE}" && test -z "${USE_ALT_OPENJDK_SRC_ZIP_FALSE}"; then
+  { { echo "$as_me:$LINENO: error: conditional \"USE_ALT_OPENJDK_SRC_ZIP\" was never defined.
+Usually this means the macro was only invoked conditionally." >&5
+echo "$as_me: error: conditional \"USE_ALT_OPENJDK_SRC_ZIP\" was never defined.
 Usually this means the macro was only invoked conditionally." >&2;}
    { (exit 1); exit 1; }; }
 fi
@@ -10744,8 +10687,8 @@ UNZIP!$UNZIP$ac_delim
 UNZIP!$UNZIP$ac_delim
 WGET!$WGET$ac_delim
 CHMOD!$CHMOD$ac_delim
-MERCURIAL!$MERCURIAL$ac_delim
 GAWK!$GAWK$ac_delim
+SYSTEM_GCJ_DIR!$SYSTEM_GCJ_DIR$ac_delim
 _ACEOF
 
   if test `sed -n "s/.*$ac_delim\$/X/p" conf$$subs.sed | grep -c X` = 97; then
@@ -10787,7 +10730,6 @@ ac_delim='%!_!# '
 ac_delim='%!_!# '
 for ac_last_try in false false false false false :; do
   cat >conf$$subs.sed <<_ACEOF
-SYSTEM_GCJ_DIR!$SYSTEM_GCJ_DIR$ac_delim
 SYSTEM_ICEDTEA_DIR!$SYSTEM_ICEDTEA_DIR$ac_delim
 SYSTEM_ANT_DIR!$SYSTEM_ANT_DIR$ac_delim
 WITH_ICEDTEA_TRUE!$WITH_ICEDTEA_TRUE$ac_delim
@@ -10806,6 +10748,9 @@ XALAN2_SERIALIZER_JAR!$XALAN2_SERIALIZER
 XALAN2_SERIALIZER_JAR!$XALAN2_SERIALIZER_JAR$ac_delim
 XERCES2_JAR!$XERCES2_JAR$ac_delim
 FREETYPE2_INC_DIR!$FREETYPE2_INC_DIR$ac_delim
+USE_ALT_OPENJDK_SRC_ZIP_TRUE!$USE_ALT_OPENJDK_SRC_ZIP_TRUE$ac_delim
+USE_ALT_OPENJDK_SRC_ZIP_FALSE!$USE_ALT_OPENJDK_SRC_ZIP_FALSE$ac_delim
+ALT_OPENJDK_SRC_ZIP!$ALT_OPENJDK_SRC_ZIP$ac_delim



More information about the distro-pkg-dev mailing list